#include "Base.hpp"

/*
 * default/parametric constructor
 */

Base::Base( void ) {
	std::cout << "base default constructor\n";
	return;
}

/*
 * destructor
 */

Base::~Base( void ) {
	return;
}

/*
 * copy constructor
 */

Base::Base( Base const & src ) {
	std::cout << "base copy constructor\n";
	*this = src;
	return;
}

/*
 * assignement operator
 */

Base &	Base::operator=( Base const & rhs ) {
	std::cout << "base assignations operator\n";
	return *this;
}

Base::Base(int i) {
	std::cout << "base parameters constructor\n";
}
